/**
 * This receives the openAI responses and process them in order to create the final file result.
 */
export class GrpcPubSubHandlerBuilder {
    static FILENAME_FILECONTENT_SEPARATOR = '---';
    static analyze(input) {
        const [fileName, fileContent] = input.split(GrpcPubSubHandlerBuilder.FILENAME_FILECONTENT_SEPARATOR, 2);
        return { fileName: fileName.trim(), fileContent };
    }
}
//# sourceMappingURL=grpc-pub-sub-handler.builder.js.map